SET(HDRS
	${HDRS}
	${CMAKE_CURRENT_SOURCE_DIR}/TracePrintRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/TickAdvancedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BuildingBlocksChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ExpansionCostChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/EntitySelectionChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/GameSpeedChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BossWaveUpdatedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/SchematicChoicesAvailableEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/SelectionChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/GameOverEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/WinEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ArtifactCountChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/UnlockedBuildingsChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BuilderModeExitedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BlueprintModeExitedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/EscapeMenuRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/DeconstructModeChangedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BuildingTypeSelectedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BuildHotkeyPressedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ExitBuilderModeRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/DeconstructModeToggleRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BlueprintPlacementRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ExitBlueprintModeRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/TemporaryBlueprintRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/SpeedChangeRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/LayoutDialogRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/RecipeSelectionRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/InspectWindowClosedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ArenaStartRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/ArenaInspectRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/BeamFiredEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/DebugDrawToggledEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/CommandRequestedEvent.h
	${CMAKE_CURRENT_SOURCE_DIR}/PlayerCommandsAppliedEvent.h
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/TracePrintRequestedEvent.cpp
	PARENT_SCOPE
)

set(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
